Skip to main content
POST
/
application
/
{applicationId}
/
secret
/
{secretId}
/
override
Create a secret override at the application level
curl --request POST \
  --url https://api.qovery.com/application/{applicationId}/secret/{secretId}/override \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>",
  "description": "<string>",
  "enable_interpolation_in_file": true
}
'
import requests

url = "https://api.qovery.com/application/{applicationId}/secret/{secretId}/override"

payload = {
"value": "<string>",
"description": "<string>",
"enable_interpolation_in_file": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', description: '<string>', enable_interpolation_in_file: true})
};

fetch('https://api.qovery.com/application/{applicationId}/secret/{secretId}/override', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "key": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "overridden_secret": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "mount_path": "<string>",
    "description": "<string>",
    "enable_interpolation_in_file": true
  },
  "aliased_secret": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "QOVERY_DATABASE_PSQL_NAME",
    "mount_path": "<string>",
    "description": "<string>",
    "enable_interpolation_in_file": true
  },
  "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "service_name": "<string>",
  "owned_by": "<string>",
  "description": "<string>",
  "enable_interpolation_in_file": true
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

applicationId
string<uuid>
required

Application ID

secretId
string<uuid>
required

Secret ID

Body

application/json
value
string
description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null

Response

Create secret override

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
key
string
required

key is case sensitive

scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
updated_at
string<date-time>
read-only
overridden_secret
object
aliased_secret
object
variable_type
enum<string>

type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET, FILE_EXTERNAL_SECRET)

Available options:
VALUE,
ALIAS,
OVERRIDE,
BUILT_IN,
FILE,
EXTERNAL_SECRET,
FILE_EXTERNAL_SECRET
service_id
string<uuid>
service_name
string
service_type
enum<string>

type of the service (application, database, job, gateway...)

Available options:
APPLICATION,
CONTAINER,
DATABASE,
JOB,
HELM,
TERRAFORM
owned_by
string

Entity that created/own the variable (i.e: Qovery, Doppler)

description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null